# List legacy kubernetes chaos infras

List legacy kubernetes chaos infras

Endpoint: POST /gateway/chaos/manager/api/rest/kubernetes/infras
Version: 1.0
Security: 

## Query parameters:

  - `accountIdentifier` (string, required)
    account id that want to access the resource

  - `organizationIdentifier` (string, required)
    organization id that want to access the resource

  - `projectIdentifier` (string, required)
    project id that want to access the resource

## Request fields (application/json):

  - `environmentIDs` (array)
    Environment ID

  - `filter` (object)
    Details for fetching filtered data

  - `filter.compatibleWithNewExp` (boolean)
    To filter out infras that are compatible with the new experiment manifest format: without experiment CRs

  - `filter.description` (string)
    ID of the infra

  - `filter.environmentIDs` (array)
    Environment IDs to filter infras by environment

  - `filter.infraID` (string)
    ID of the infra

  - `filter.infraScope` (string)
    Scope of infra
    Enum: "namespace", "cluster"

  - `filter.isActive` (boolean)
    Status of infra

  - `filter.name` (string)
    Name of the infra

  - `filter.platformName` (string)
    Platform name of infra

  - `filter.tags` (array)
    Tags of an infra

  - `infraIDs` (array)
    Array of infra IDs for which details will be fetched

  - `k8sConnectorIDs` (array)
    Connector ID

  - `pagination` (object)
    Details for fetching paginated data

  - `pagination.limit` (integer)
    Number of data to be fetched

  - `pagination.page` (integer)
    Page number for which data will be fetched

## Response 200 fields (application/json):

  - `infras` (array)
    Details related to the infras

  - `infras.clusterType` (string)
    Cluster type Indicates the type on infrastructure (Kubernetes/openshift)
    Enum: "KUBERNETES", "OPENSHIFT", "HELM"

  - `infras.createdAt` (string)
    Timestamp when the infra was created

  - `infras.createdBy` (object)
    User who created the infra

  - `infras.createdBy.email` (string)

  - `infras.createdBy.userID` (string)

  - `infras.createdBy.username` (string)

  - `infras.description` (string)
    Description of the infra

  - `infras.environmentID` (string)
    Environment ID for the infra

  - `infras.infraID` (string)
    ID of the infra

  - `infras.infraNamespace` (string)
    Namespace where the infra is being installed

  - `infras.infraNsExists` (boolean)
    Bool value indicating whether infra ns used already exists on infra or not

  - `infras.infraSaExists` (boolean)
    Bool value indicating whether service account used already exists on infra or not

  - `infras.infraScope` (string)
    Scope of the infra : ns or cluster
    Enum: "namespace", "cluster"

  - `infras.infraType` (string)
    Type of the infrastructure
    Enum: "Kubernetes", "KubernetesV2", "Windows", "Linux", "CloudFoundry", "Container"

  - `infras.installationType` (string)
    InstallationType connector/manifest
    Enum: "CONNECTOR", "MANIFEST", "CONNECTORV2"

  - `infras.isActive` (boolean)
    Boolean value indicating if chaos infrastructure is active or not

  - `infras.isInfraConfirmed` (boolean)
    Boolean value indicating if chaos infrastructure is confirmed or not

  - `infras.isRemoved` (boolean)
    Boolean value indicating if chaos infrastructure is removed or not

  - `infras.isSecretEnabled` (boolean)
    Tune secret for infra

  - `infras.k8sConnectorID` (string)
    K8sConnectorID

  - `infras.lastHeartbeat` (string)
    Last Heartbeat status sent by the infra

  - `infras.lastWorkflowTimestamp` (string)
    Timestamp of the last workflow run in the infra

  - `infras.name` (string)
    Name of the infra

  - `infras.noOfSchedules` (integer)
    Number of schedules created in the infra

  - `infras.noOfWorkflows` (integer)
    Number of workflows run in the infra

  - `infras.platformName` (string)
    Infra Platform Name eg. GKE,AWS, Others

  - `infras.runAsGroup` (integer)
    set the user group for security context in pod

  - `infras.runAsUser` (integer)
    set the user for security context in pod

  - `infras.serviceAccount` (string)
    Name of service account used by infra

  - `infras.startTime` (string)
    Timestamp when the infra got connected

  - `infras.tags` (array)
    Tags of the infra

  - `infras.token` (string)
    Token used to verify and retrieve the infra manifest

  - `infras.updateStatus` (string)
    update status of infra
    Enum: "AVAILABLE", "MANDATORY", "NOT_REQUIRED"

  - `infras.updatedAt` (string)
    Timestamp when the infra was last updated

  - `infras.updatedBy` (object)
    User who has updated the infra

  - `infras.updatedBy.email` (string)

  - `infras.updatedBy.userID` (string)

  - `infras.updatedBy.username` (string)

  - `infras.upgrade` (object)
    Upgrade struct for the chaos infrastructure

  - `infras.upgrade.isAutoUpgradeEnabled` (boolean)

  - `infras.upgrade.status` (string)
    Enum: "UPGRADING_INFRA", "UPGRADE_SKIPPED", "UPGRADE_SUCCESSFUL", "UPGRADE_FAILED", "DETECTING_UPGRADER", "UPGRADER_DISABLED"

  - `infras.version` (string)
    Version of the infra

  - `totalNoOfInfras` (integer)
    Total number of infras

## Response 400 fields (application/json):

  - `code` (string)
    Enum: "PIPELINE_NOT_FOUND"

  - `description` (string)

  - `message` (string)


